---
updatedAt: 2026-09-16T09:30:22.000Z
---

# Get access token

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "online-installments",
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://test-api.tbcbank.ge"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "oauth2",
        "flows": {
          "clientCredentials": {
            "tokenUrl": "https://test-api.tbcbank.ge/oauth/token",
            "scopes": {
              "online_installments": "Access to online installments"
            }
          }
        }
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/oauth/token": {
      "post": {
        "summary": "Get access token",
        "description": "",
        "operationId": "online-installments-get-access-token-api",
        "parameters": [
          {
            "name": "client_id",
            "in": "header",
            "description": "developer app apikey",
            "required": true,
            "schema": {
              "type": "string",
              "default": "I3Rz8QXBVPofKtucsenkW7g2n7aDwqBg"
            }
          },
          {
            "name": "client_secret",
            "in": "header",
            "description": "developer app secret",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "required": [
                  "grant_type",
                  "scope"
                ],
                "properties": {
                  "grant_type": {
                    "type": "string",
                    "description": "grant_type for oauth client credentials flow.",
                    "default": "client_credentials"
                  },
                  "scope": {
                    "type": "string",
                    "description": "oauth scope.",
                    "default": "online_installments"
                  }
                }
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n    \"access_token\": \"vpmnLxpoasdKShdb2Ivky2eW0QEAhDt\",\n    \"token_type\": \"BearerToken\",\n    \"scope\": \"online_installments\",\n    \"issued_at\": \"1631105378666\",\n    \"expires_in\": 7775999\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "access_token": {
                      "type": "string",
                      "example": "vpmnLxpoasdKShdb2Ivky2eW0QEAhDt"
                    },
                    "token_type": {
                      "type": "string",
                      "example": "BearerToken"
                    },
                    "scope": {
                      "type": "string",
                      "example": "online_installments"
                    },
                    "issued_at": {
                      "type": "string",
                      "example": "1631105378666"
                    },
                    "expires_in": {
                      "type": "integer",
                      "example": 7775999,
                      "default": 0
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "400",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n  \"type\": \"https://developers.tbcbank.ge/error-reference#type-400\",\n  \"title\": \"'Amount' must not be empty.'Amount' must be greater than '0'.\",\n  \"status\": 400,\n  \"detail\": \"'Amount' must not be empty.'Amount' must be greater than '0'.\",\n  \"systemCode\": \"System code for problem is online-installmnets.400.001\",\n  \"code\": \"\"\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "type": {
                      "type": "string",
                      "example": "https://developers.tbcbank.ge/error-reference#type-400"
                    },
                    "title": {
                      "type": "string",
                      "example": "'Amount' must not be empty.'Amount' must be greater than '0'."
                    },
                    "status": {
                      "type": "integer",
                      "example": 400,
                      "default": 0
                    },
                    "detail": {
                      "type": "string",
                      "example": "'Amount' must not be empty.'Amount' must be greater than '0'."
                    },
                    "systemCode": {
                      "type": "string",
                      "example": "System code for problem is online-installmnets.400.001"
                    },
                    "code": {
                      "type": "string",
                      "example": ""
                    }
                  }
                }
              }
            }
          },
          "401": {
            "description": "401",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n  \"type\": \"https://developers.tbcbank.ge/error-reference#type-401\",\n  \"title\": \"Invalid Api Key\",\n  \"status\": 401,\n  \"detail\": \"Please make sure api key is valid\",\n  \"systemCode\": \"System code for problem is online-installments.401.001\",\n  \"code\": \"\"\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "type": {
                      "type": "string",
                      "example": "https://developers.tbcbank.ge/error-reference#type-401"
                    },
                    "title": {
                      "type": "string",
                      "example": "Invalid Api Key"
                    },
                    "status": {
                      "type": "integer",
                      "example": 401,
                      "default": 0
                    },
                    "detail": {
                      "type": "string",
                      "example": "Please make sure api key is valid"
                    },
                    "systemCode": {
                      "type": "string",
                      "example": "System code for problem is online-installments.401.001"
                    },
                    "code": {
                      "type": "string",
                      "example": ""
                    }
                  }
                }
              }
            }
          },
          "500": {
            "description": "500",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n  \"type\": \"https://developers.tbcbank.ge/error-reference#type-500\",\n  \"title\": \"Invalid currency code: `AAA`\",\n  \"status\": 500,\n  \"detail\": \"Invalid currency code: `AAA`\",\n  \"systemCode\": \"System code for problem is online-installments.500.001\",\n  \"code\": \"\"\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "type": {
                      "type": "string",
                      "example": "https://developers.tbcbank.ge/error-reference#type-500"
                    },
                    "title": {
                      "type": "string",
                      "example": "Invalid currency code: `AAA`"
                    },
                    "status": {
                      "type": "integer",
                      "example": 500,
                      "default": 0
                    },
                    "detail": {
                      "type": "string",
                      "example": "Invalid currency code: `AAA`"
                    },
                    "systemCode": {
                      "type": "string",
                      "example": "System code for problem is online-installments.500.001"
                    },
                    "code": {
                      "type": "string",
                      "example": ""
                    }
                  }
                }
              }
            }
          }
        },
        "deprecated": false,
        "security": [],
        "x-readme": {
          "code-samples": [
            {
              "language": "curl",
              "code": "curl --location --request POST 'https://test-api.tbcbank.ge/oauth/token' \\\n--header 'Content-Type: application/x-www-form-urlencoded' \\\n--header 'Authorization: Basic U3A2TldhbU5zN1FWJWdlTFGV3Q1ZEYwWXgwanhYekg6c05HaUdySTk0T3dpUENLRA==' \\\n--data-urlencode 'grant_type=client_credentials' \\\n--data-urlencode 'scope=online_installments'"
            }
          ],
          "samples-languages": [
            "curl"
          ]
        }
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```